--[[ 
 Un script en lua pour afficher les images ou logos ou autre chose avec en plus la rotation.

@ mettre dans un dossier @ part comme cela la ligne d'appel sera la même pour tout les conky soit.

lua_load ~/.conky/lua/image.lua

Mise avant la partie TEXT des conkys .Cela permet d'avoir toutes les images ( obligatoirement une png) qui restent voyantes quel que soit le type de fond d'écran clair ou foncé.

Puis dans le conky j'appelle l'image ainsi:

${lua fDrawImage ~/.conky/radiotray/image.png 50 100 150 150 0 }

Ceci étant un exemple il faudra donc modifier le chemin de votre image à afficher

${lua fDrawImage= fonction lua
~/.conky/...= chemin de l'image @ afficher
50=position horizontale en partant de gauche
100=position verticale en partant du haut
150=hauteur de l'image
150=largeur de l'image
0=rotation de l'image (on peut ici ne rien mettre sinon 0.1 -1-1.5 ou autre jusqu'à la rotation désirée.
]]
-- De Didier-T 
 
 
require 'cairo'
home = os.getenv ('HOME')
--Fonction d'affichage
function conky_fDrawImage(path,x,y,w,h,arc)
 
   path = string.gsub(path, "~", home)
   path = string.gsub(path, "$HOME", home)
 
   local cs = cairo_xlib_surface_create(conky_window.display, conky_window.drawable, conky_window.visual, conky_window.width, conky_window.height)
 
   local function fDrawImage(path,x,y,w,h,arc)
      x=x+(w/2)
      y=y+(h/2)
      local img =  cairo_image_surface_create_from_png(path)
      local w_img, h_img = cairo_image_surface_get_width (img), cairo_image_surface_get_height (img)
 
      local cr = cairo_create (cs)
      cairo_translate (cr, x, y)
 
      if arc then
         cairo_rotate (cr, arc)
      end
 
      cairo_scale (cr, w/w_img, h/h_img)
      cairo_set_source_surface (cr, img, -w_img/2, -h_img/2)
      cairo_paint (cr)
      cairo_destroy(cr)
      cairo_surface_destroy (img)
   end
   fDrawImage(path,x,y,w,h,arc)
   cairo_surface_destroy(cs)
   return ""
end